﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿﻿/*********************************************************
*   설명			: 팝업화면샘플
*		함수명		: pop_OpenSample(this, param1, param2)
*		파라메터	: 없슴.
*		리턴값
*			returnVal[0] : 값1
*			returnVal[1] : 값2
*		참조			:빈값은 0, null 로 return
* 	
*		Created  :  2008-06-17 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenSample(objForm, ar1, ar2) {
	var strURL	= "zpopup::ccsample.xml";
	var args		=	"param1=" + ar1;
	args				+= " param2=" + ar2;
	return objForm.Dialog(strURL, args, 300, 200);//
}

/*********************************************************
*   설명			: 정비점 찾기 - 직무에 따라 검색할 수 있는 지점 제한하여 검색
*								 파라메터 생략시 전체 검색
*		함수명		: pop_OpenShopCd(objForm, p_shop_tp, p_duty_cd, p_shop_cd, p_emp_no)
*		파라메터	: 
								p_shop_tp: 정비점구분 (생략가능)
								p_duty_cd: 직무코드 (생략가능)
								p_shop_cd: 정비점코드-본사,지역본부외는 자기정비점만 조회토록 하기위해 (생략가능)
 								p_emp_no: 서비스매니저, PSA의 사번 (생략가능)
*		리턴값
*			returnVal[0] : 정비점코드
*			returnVal[1] : 정비점명
*     returnVal[2] : 정비점 구분
*     returnVal[3] : 대표자명
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-06-17 by hjw
* 	Updated  :  2008-08-22 by chlee 
* 	Updated  :  2008-09-10 by chlee 
**********************************************************/
function pop_OpenShopCd(objForm, p_shop_tp, p_duty_cd, p_shop_cd, p_emp_no) {
	var strURL = "zpopup::ccco0060.xml";
	var strArgs = "";
	
	if(! gfn_IsNull(p_shop_tp)) {
		strArgs  = " p_shop_tp=" + quote(p_shop_tp) ;
		strArgs += " p_duty_cd=" + quote(p_duty_cd) ;		
		strArgs += " p_shop_cd=" + quote(p_shop_cd) ;			
		strArgs += " p_emp_no=" + quote(p_emp_no) ;
	}
  return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false");	
}
/*********************************************************
*   설명			: 정비점 찾기 -  지역 본부 코드에 따른 정비점 검색
*		함수명		: pop_OpenShopAreaCd(objForm p_shop_cd)
*		파라메터	: 
								p_shop_cd: 정비점코드-지역본부외는 자기정비점만 조회토록 하기위해 (생략가능)
*		리턴값
*			returnVal[0] : 정비점코드
*			returnVal[1] : 정비점명
*     returnVal[2] : 정비점 구분
*		참조			:빈값은 0 or null로 return
*		Created  :  2008-10-21 by cym
* 	Updated  :  
**********************************************************/
function pop_OpenShopAreaCd(objForm,p_shop_cd) {
	var strURL = "zpopup::ccco0061.xml";
	var strArgs = "";

	if(! gfn_IsNull(p_shop_cd))
	{
		strArgs = " p_shop_cd=" + quote(p_shop_cd) ;			
	}
	
  return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false");	
}
/*********************************************************
*   설명			: 대리점 찾기 -  대리점 검색
*		함수명		: pop_OpenDShopCd(objForm p_shop_cd)
*		파라메터	: 
								p_shop_cd: 정비점코드-지역본부외는 자기정비점만 조회토록 하기위해 (생략가능)
*		리턴값
*			returnVal[0] : 대리점코드
*			returnVal[1] : 대리점명

*		참조			:빈값은 0 or null로 return
*		Created  :  2008-12-20 by cym
* 	Updated  :  
**********************************************************/
function pop_OpenDShopCd(objForm,p_company_cd,p_company_name) {
	var strURL = "zpopup::ccco0062.xml";
	var strArgs = "";

	if(! gfn_IsNull(p_company_cd))
	{
		strArgs += " p_company_cd=" + quote(p_company_cd);
	}
	if(! gfn_IsNull(p_company_name))
	{
	  strArgs += " p_company_name=" + quote(p_company_name);
	}
  var l = ToNumber(GetPlatformInfo("workarea","left"));
  var t = ToNumber(GetPlatformInfo("workarea","top"));

  return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false",140+l,90+t);	
}

/*********************************************************
*   설명			: 우편번호 찾기
*		함수명		: pop_OpenZipCode(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 우편번호
*			returnVal[1] : 주소
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-06-20 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenZipCode(objForm) {
	var strURL = "zpopup::cccm0020.xml";
	return objForm.Dialog(strURL,"", 600, 336,"title = false");
}

/*********************************************************
*   설명			: 고객계정 찾기
*		함수명	: pop_OpenAccCd(this)
*		파라메터	: p1 :대리점, c1 : 법인
*		리턴값
*			returnVal[0] : 계정코드
*			returnVal[1] : 구분
*			returnVal[2] : 계정명
*			returnVal[3] : 우편번호
*			returnVal[4] : 주소
*			returnVal[5] : 전화번호
*			returnVal[6] : 휴대폰
*			returnVal[7] : 고객명

*			returnVal[8] : 전화번호맨앞2~3자리
*			returnVal[9] : 전화번호가운데
*			returnVal[10] : 전화번호끝
*			returnVal[11] : 핸폰맨앞2~3자리
*			returnVal[12] : 핸폰가운데
*			returnVal[13] : 핸폰끝
*			returnVal[14] : vat 코드
*			returnVal[15] : vat 율
*			returnVal[16] : 할인코드(부품)
*			returnVal[17] : 할인코드(서비스)

*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-04 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenAccCd(objForm, strDiv, strAcc) {
	var strURL = "mm::mmac0021.xml";
	var strArgs  = " p_type= "+strDiv;
	    strArgs += " p_acc = "+strAcc;
		
	return objForm.Dialog(strURL,strArgs, -1, -1,"title = false");
}


/*********************************************************
*   설명			: 고객정보 찾기
*		함수명		: pop_OpenCustInfo(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 고객번호
*			returnVal[1] : 고객명
*			returnVal[2] : 고객구분
*			returnVal[3] : 고객구분명
*			returnVal[4] : 주민/사업자번호
*			returnVal[5] : 전화번호
*			returnVal[6] : 핸드폰번호
*			returnVal[7] : 주소
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-06 by 고석완
* 	Updated  : 
**********************************************************/
function pop_OpenCustInfo(objForm) {
	var strURL	= "zpopup::cccm0010.xml";
	return objForm.Dialog(strURL, "", -1, -1);
}

/*********************************************************
*   설명		: 17자리 차대번호, 6자리 샤시번호, 4자리 차량등록번호, 그외 고객명으로 간주
*		함수명	: pop_OpenVehicle(this, cond)
*		파라메터	: cond: 검색어
*		리턴값
*			returnVal[0] : 차대번호
*			returnVal[1] : 검색어 
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-06-27 by 이충하
* 	Updated  : 
**********************************************************/
function pop_OpenVehicle(objForm, cond) {
	var strURL = "zpopup::cccm0030.xml";
	var strArgs = "";
	
	if(! gfn_IsNull(cond))
		strArgs = "p_cond=" + quote(cond) ;
		
  return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false");
}

/*********************************************************
*   설명			: 17자리 차대번호, 6자리 샤시번호
*		함수명	: pop_OpenZipCode(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 차대번호
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-06-27 by 이충하
* 	Updated  : 
**********************************************************/

function pop_OpenChassis(objForm) {
	var strURL = "zpopup::cccm0040.xml";
		
  return objForm.Dialog(strURL, "", -1, -1, "Title=false");
}

/*********************************************************
*   설명			: 작업코드 찾기
*		함수명		: pop_OpenProcessCd(this)
*		파라메터	: 
                laborTp   : 작업구분-기능(F),사고(A),특수(S)
                laborDT   : 작업세부구분-....
                chgLaborTp: 작업구분수정유무(Y or N)
                chgLaborDT: 작업세부구분수정유무(Y or N)
*		리턴값
*			returnVal[0] : 작업코드
*			returnVal[1] : 작업명
*		참조			:빈값은 null 로 return
*
*   Created  :  2008-07-04 by hckim
*   Updated  :  2008-09-24 by sdkim
**********************************************************/
function pop_OpenProcessCd(objForm, laborTp, laborDT, chgLaborTp, chgLaborDT) {

	var strURL  = "zpopup::ccwc0010.xml";

	var strArgs = " p_labor_tp=" + quote(laborTp);
	strArgs    += " p_labor_detail_tp=" + quote(laborDT);
	strArgs    += " p_chg_labor_tp=" + quote(chgLaborTp);
	strArgs    += " p_chg_labor_detail_tp=" + quote(chgLaborDT);

	return objForm.Dialog(strURL, strArgs, 300, 200, "title = false");
}

/*********************************************************
*   설명			: 작업코드 찾기
*   함수명		: pop_OpenLaborCdByFrtVehiTps(objForm, p_frt_vehi_tps)
*   파라메터	: objForm .
*               p_frt_vehi_tps  - 표준공임차종 코드열(ex> " '1','2','3' "). sql 의 in 안에 사용됨
*   리턴값
*			returnVal[0] : 작업코드
*			returnVal[1] : 작업명
*		참조			:빈값은 null로 return
*
*		Created  :  2008-08-27 by sdkim
* 	Updated  :
**********************************************************/
//function pop_OpenLaborCdByFrtVehiTps(objForm, p_frt_vehi_tps) {  //Del. Yang K.W 2012.01.19 SR 20120111-004
function pop_OpenLaborCdByFrtVehiTps(objForm, p_frt_vehi_tps, p_menu_tp) {  //Add. Yang K.W 2012.01.19 SR 20120111-004

	var strURL  = "zpopup::ccwc0012.xml";
	var strArgs = " p_frt_vehi_tps=" + quote(p_frt_vehi_tps) + " p_menu_tp=" + p_menu_tp;   //Add. Yang K.W 2012.01.19 SR 20120111-004
//	var strArgs = " p_frt_vehi_tps=" + quote(p_frt_vehi_tps);       //Del. Yang K.W 2012.01.19 SR 20120111-004

	return objForm.Dialog(strURL, strArgs, -1, -1);
}

/*********************************************************
*   설명			: 비용계정 찾기
*		함수명	: pop_OpenExpAccCd(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 계정코드
*			returnVal[1] : 계정명
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-04 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenExpAccCd(objForm) {
	var strURL = "mm::mmac0031.xml";
		
  //return objForm.Dialog(strURL, "", 526, 336, "AutoSize=false Title=false");
  return objForm.Dialog(strURL,"", 300, 200);
}

/*********************************************************
*   설명		:
*		함수명	: pop_OpenServieModel(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 서비스모델코드
*			returnVal[1] : 서비스모델명
*			returnVal[2] : 표준작업시간차종
*			returnVal[3] : 대표차종
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-7 by 이충하
* 	Updated  :  2008-07-8  
*								returnVal[2] 추가
* 							2008-10-27  
*								returnVal[3] 추가 :khc
**********************************************************/
function pop_OpenServiceModel(objForm) {
	var strURL = "mm::mmvb0011.xml";
  return objForm.Dialog(strURL, "", -1, -1, "title=false");
}

/*********************************************************
*   설명			: 관리계정 찾기
*		함수명	: pop_OpenMngAccCd(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 계정코드
*			returnVal[1] : 구분
*			returnVal[2] : 계정명

*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-04 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenMngAccCd(objForm) {
	var strURL = "zpopup::ccac0022.xml";
	return objForm.Dialog(strURL,"", -1, -1);
}

/*********************************************************
*   설명			: 총계정원장관리계정
*		함수명	: pop_OpenMngAccCd(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 코스트센터코드
*			returnVal[1] : 코스트센터
*			returnVal[2] : 비용코드
			returnVal[3] : 비용코드명

*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-04 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenNLMngCd(objForm) {
	var strURL = "zpopup::ccac0023.xml";
	return objForm.Dialog(strURL,"", -1, -1);
}

/*********************************************************
*   설명			: 구매가격, 소매가격 포함한 부품 찾기
*		함수명		: pop_OpenPartList1(this, part_no[or part_nm])
*		파라메터	: 부품명, 코드 둘중 하나
*		리턴값
*			returnVal[0] : 부품코드
*			returnVal[1] : 부품명
*			returnVal[2] : 구매가격
*			returnVal[3] : 소매가격
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07-07 by yang
* 	Updated  :  2008-07-08 by yang
**********************************************************/
function pop_OpenPartList1(objForm, part) {

	var strURL  = "zpopup::ccpm0020.xml";
	var strArgs = " param1="; 
	if(! gfn_IsNull(part))	strArgs += quote(part); 
	return objForm.Dialog(strURL, strArgs, 600, 300, "title = false");
}

/*********************************************************
*   설명			: 사원찾기 찾기
*		함수명		: pop_OpenEmpInfo(this)
*		파라메터	: shop_cd // 안보내면 global.shop_cd를 자동으로 설정...
*               'x'로 보내면 shop_cd 설정안함...
*		리턴값
*			returnVal[0] : 사원코드
*			returnVal[1] : 사원명
*			returnVal[2] : 소속정비점코드.
*			returnVal[3] : 소속정비점명.
*			returnVal[4] : 휴대전화
*			returnVal[5] : 이메일
*			returnVal[6] : 입사일
*			returnVal[7] : 부서코드
*			returnVal[8] : 부서명
*			returnVal[9] : 직급코드
*			returnVal[10] : 직급
*			returnVal[11] : 직무코드
*			returnVal[12] : 직무
*			returnVal[13] : 기술등급
*			returnVal[14] : 기술등급명
*			returnVal[15] : 작업조코드
*			returnVal[16] : 작업조
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07-08 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenEmpInfo(objForm, argShopCd) {
	var strURL = "zpopup::ccsc0030.xml";
	var strArgs = "arg_shop_cd=";
	
	if(! gfn_IsNull(argShopCd))	strArgs += quote(argShopCd) ;
	
	return objForm.Dialog(strURL, strArgs,  600, 300, "AutoSize=true Title=false");
}
/*********************************************************
*   설명			: 캠페인 검색
*		함수명	: pop_OpenCampaign(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 캠페인 번호
*			returnVal[1] : 캠페인 명
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-08 by 이충하
* 	Updated  : 
**********************************************************/

function pop_OpenCampaign(objForm) {
	var strURL = "zpopup::ccwm0010.xml";
  return objForm.Dialog(strURL, "", -1, -1, "Title=false");
}

/*********************************************************
*   설명			: 자동차 등록번호 검색
*		함수명	: pop_OpenCarRegno(this)
*		파라메터	: 
*		리턴값
*     returnVal[0]  = 접수번호
*     returnVal[1]  = 정비점코드
*     returnVal[2]  = 정비점이름
*     returnVal[3]  = 고객번호
*     returnVal[4]  = 고객이름
*     returnVal[5]  = 자동차등록번호
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-11-05 by 조용민
* 	Updated  : 
**********************************************************/
function pop_OpenCarRegno(objForm) {
	var strURL = "zpopup::ccim0091.xml";
  return objForm.Dialog(strURL, "", -1, -1, "Title=false");
}
/*********************************************************
*   설명			: 공급업체 검색
*		함수명	: pop_OpenVndr(this)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 공급업체코드
*			returnVal[1] : 공급업체명
*			returnVal[2] : 담당자명
*			returnVal[3] : 담당자전화
*			returnVal[4] : 담당자휴대폰
*			returnVal[5] : 주소
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-10 by 고석완    
* 	Updated  : 
**********************************************************/

function pop_OpenVndr(objForm) {
	var strURL = "zpopup::ccwm0020.xml";
  return objForm.Dialog(strURL, "", -1, -1, "Title=false");
}
/*********************************************************
*   설명			: 작업코드, 표준작업시간 찾기
*		함수명		: pop_OpenProcessCd(this)
*		파라메터	: param1 : 표준작업시간차종코드들(콤마로 구분) ex: '1','2','3'
*								PL/SQL 내에서 Dynamic SQL 의 in 구문으로 체크하기 위해
*		리턴값
*			returnVal[0] : 작업코드
*			returnVal[1] : 작업명
*			returnVal[2] : 표준작업시간
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07-09 by chlee
* 	Updated  : 
**********************************************************/
function pop_OpenProcessFrt(objForm, param1, param2) {

	var strURL = "zpopup::ccwc0011.xml";
	var strArgs = "";

	if(! gfn_IsNull(param1)) {
		strArgs  = " param1=" + quote(param1) ;	
	}
	return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false");
}

/*********************************************************
*   설명		: type='vin' => 6자리 샤시번호, 4자리 차량등록번호, 17자리 차대번호, 그외 고객명으로 간주
*       		: type='pin' => 주민/사업자번호    
*           : type='mob' => 핸드폰번호
*           : type='vin17' => 17자리 차대번호
*		함수명	: pop_OpenVinCustNo(this, type, cond, superFlag)
*		파라메터	: vehi_tp:차종 type:검색구분 cond: 검색어 superFlag:슈퍼유저권한(Y/N)
*		리턴값
*			returnVal[0] : vin
*			returnVal[1] : cust_no
*			returnVal[2] : vehi_reg_no
*			returnVal[3] : cust_div
*			returnVal[4] : pin
*			returnVal[5] : cust_nm
*			returnVal[6] : used_car_yn
*			returnVal[7] : driver_tp
*			returnVal[8] : vehi_reg_no_r
*			returnVal[9] : magic_no
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
**********************************************************/

function pop_OpenVinCustNo(objForm, vehi_tp, ptype, pcond, superFlag) {
	var strURL = "zpopup::ccrr0010.xml";
	var strArgs = "";

	if (global.SHOP_CD == "595" || global.SHOP_CD == "596" || global.SHOP_CD == "597")
	  superFlag = "X";

	if( !gfn_IsNull(vehi_tp)) strArgs += " p_vehi_tp=" + quote(vehi_tp) ;
	if( !gfn_IsNull(ptype)) strArgs += " p_type=" + quote(ptype) ;
	if( !gfn_IsNull(pcond)) strArgs += " p_cond=" + quote(pcond) ;
	if( !gfn_IsNull(superFlag)) strArgs += " p_super=" + quote(superFlag) ;
		
  return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false");
}

/*********************************************************
*   설명		: 필수정보 팝업
*		함수명	: pop_ViewCarInfo01(this, vin, cust_no)
*		파라메터	: vin 		            : 차대번호
*               cust_no             : 고객번호
*               select_item_yn      : 상품선택유무
*               select_campaign_yn  : 캠페인선택유무
*		리턴값
*		참조			: 빈값은 0, null 로 return
*
*   Created  :  2008-07 by 고석완
*   Updated  :  2008-09 by 김현철
*   Updated  :  2008-11 by 김신동  캠페인 선택 로직 추가
**********************************************************/

function pop_ViewCarInfo01(objForm, p_vin, p_cust_no, p_select_item_yn, p_select_campaign_yn, p_loc) {

	var strURL = "zpopup::ccba0050.xml";
	var strArgs = "";

	if(gfn_IsNull(p_vin))
	{
    alert("차량 정보가 필요합니다.");
    return null;
	}
	if(gfn_IsNull(p_cust_no)) 
	{
    alert("고객 정보가 필요합니다.");
    return null;
	}

  strArgs += " p_vin=" + quote(p_vin);
  strArgs += " p_cust_no=" + quote(p_cust_no);
  strArgs += " p_select_item_yn=" + iif (gfn_IsNull(p_select_item_yn), "N", p_select_item_yn);
  strArgs += " p_select_campaign_yn=" + iif (gfn_IsNull(p_select_campaign_yn), "N", p_select_campaign_yn);
  strArgs += " p_loc=" + iif (gfn_IsNull(p_loc), "1", p_loc);

  return objForm.Dialog(strURL, strArgs, -1, -1, "AutoSize=true Title=false");
}

/*********************************************************
*   설명		: 필수정보 팝업 (연장 보증 폼에서 호출 - 정비 이력 제외)
*		함수명	: pop_ViewCarInfo02(this, vin, cust_no)
*		파라메터	: vin 		            : 차대번호
*               cust_no             : 고객번호
*               select_item_yn      : 상품선택유무
*               select_campaign_yn  : 캠페인선택유무
*		리턴값
*		참조			: 빈값은 0, null 로 return
*
*   Created  :  2012-11-14 by ilwoo. cho.
**********************************************************/

function pop_ViewCarInfo02(objForm, p_vin, p_cust_no, p_select_item_yn, p_select_campaign_yn, p_loc) {

	var strURL = "zpopup::ccba0050.xml";
	var strArgs = "";

	if(gfn_IsNull(p_vin))
	{
    alert("차량 정보가 필요합니다.");
    return null;
	}
	if(gfn_IsNull(p_cust_no)) 
	{
    alert("고객 정보가 필요합니다.");
    return null;
	}

  strArgs += " p_vin=" + quote(p_vin);
  strArgs += " p_cust_no=" + quote(p_cust_no);
  strArgs += " p_select_item_yn=" + iif (gfn_IsNull(p_select_item_yn), "N", p_select_item_yn);
  strArgs += " p_select_campaign_yn=" + iif (gfn_IsNull(p_select_campaign_yn), "N", p_select_campaign_yn);
  strArgs += " p_loc=" + iif (gfn_IsNull(p_loc), "1", p_loc);
  strArgs += " p_ew=" + quote("Y");

  return objForm.Dialog(strURL, strArgs, -1, -1, "AutoSize=true Title=false");
}

/*********************************************************
*   설명		: 정비이력 팝업
*		함수명	: pop_ViewRepairInfo(this, vin, cust_no)
*		파라메터	: vin : 차대번호  cust_no : 고객번호
*		리턴값
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
**********************************************************/
function pop_ViewRepairInfo(objForm, p_vin, p_cust_no) {

	var strURL = "zpopup::ccba0030.xml";
	var strArgs = "";
	
	if(gfn_IsNull(p_vin))
	{
    alert("차량 정보가 필요합니다.");
    return null;
	}
	if(gfn_IsNull(p_cust_no)) 
	{
    alert("고객 정보가 필요합니다.");
    return null;
	}

  strArgs += " p_vin=" + quote(p_vin) ;
  strArgs += " p_cust_no=" + quote(p_cust_no) ;

//  return objForm.Dialog(strURL, strArgs, 790, 565, "AutoSize=false Title=false");
  return objForm.Dialog(strURL, strArgs, -1, -1, "Title=false", ToNumber(GetPlatformInfo("workarea","left")),	 ToNumber(GetPlatformInfo("workarea","top")));	
}


/*********************************************************
*   설명		: 차량정보(메모) 팝업
*		함수명	: pop_ViewCarInfo(this, vin, cust_no)
*		파라메터	: vin : 차대번호  cust_no : 고객번호
*		리턴값
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
**********************************************************/
function pop_ViewCarInfo(objForm, p_vin, p_cust_no) {
	var strURL = "mm::mmvb0130.xml";
	var strArgs = "";
	
	if( !gfn_IsNull(p_vin)) strArgs += " p_vin=" + quote(p_vin) ;
	if( !gfn_IsNull(p_cust_no)) strArgs += " p_cust_no=" + quote(p_cust_no) ;
		
  return objForm.Dialog(strURL, strArgs, -1, -1, "AutoSize=true Title=true");
}


/*********************************************************
*   설명		: 고객정보(메모) 팝업
*		함수명	: pop_ViewCustInfo(this, cust_no, changeFlag)
*		파라메터	: cust_no : 고객번호
*		리턴값
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
**********************************************************/
var po_vincust_count = 0;
function pop_ViewCustInfo(objForm, p_cust_no, changeFlag, p_vin_no) 
{
	if( gfn_IsNull(p_cust_no) ) 
	{
		alert( "선택하신 고객번호가 없습니다." );
		return null;
	}

	var strURL  = "";
	var strArgs = "";
	var rtn_cust_no = "";

  if (!gfn_IsNull(p_vin_no))
  {
    // 해당 고객이 가진 차량의 고객이 한명 이상인지 체크...
    var arrParams = array(1);
    arrParams[0]  = p_vin_no;
    gfn_SyncTransaction(this, "",
      "Svr_JSP::cc-vincustinfo-vincust_count",
      "",
      "",
      gfn_makeInParams(arrParams),
      "");

    if( po_vincust_count > 1 )
    {
      strURL = "zpopup::custselectpop.xml";
      strArgs = "p_vin_no=" + quote(p_vin_no);
      rtn_cust_no = objForm.Dialog(strURL, strArgs, -1, -1, "");
    }
	}

	strURL = "zcommon::comForm.xml";
	if( gfn_IsNull(rtn_cust_no) || rtn_cust_no == 0 ) {
		strArgs = "PGM_ID=mmcb0010 PGM_URL=mm::mmcb0010.xml PGM_TITLE='고객입력/수정' cust_no=" + quote(p_cust_no) + " change=" + changeFlag;
	} else {
		strArgs = "PGM_ID=mmcb0010 PGM_URL=mm::mmcb0010.xml PGM_TITLE='고객입력/수정' cust_no=" + quote(rtn_cust_no) + " change=" + changeFlag;
	}
	
  return objForm.Dialog(strURL, strArgs, 865, 580, "AutoSize=false", ToNumber(GetPlatformInfo("workarea","left")),	 ToNumber(GetPlatformInfo("workarea","top")));	
}

/*********************************************************
*   설명		: 주행거리정보 팝업
*		함수명	: pop_ViewLastMileage(this, vin, rcpt_no, shop_cd, rcpt_stt)
*		파라메터	: 1. vin : 차대번호    									- 조회시
*								2. vin : 차대번호  rcpt_no : 접수번호, shop_cd : 접수정비점 - 수정시, rcpt_stt : 접수상태
*		리턴값
*		참조			:  수정시 :True: 값변경, false: 변경없음
*								 조회시 : 빈값
*		Created  :  2008-07 by 고석완
* 	Updated  :  2008-12 by khc
**********************************************************/
function pop_ViewLastMileage(objForm, p_vin, p_rcpt_no, p_shop_cd, p_rcpt_stt) {
	var strURL = "zpopup::ccba0060.xml";
	var strArgs = "";
	
	if( !gfn_IsNull(p_vin)) strArgs += "p_vin=" + quote(p_vin) +" p_rcpt_no=" + quote(p_rcpt_no) + " p_shop_cd=" + quote(p_shop_cd) + " p_rcpt_stt=" + quote(p_rcpt_stt);
	
  return objForm.Dialog(strURL, strArgs, 600, 400, "AutoSize=false Title=false");
}

/*********************************************************
*   설명			: 메뉴코드 찾기
*		함수명		: pop_OpenMenuCd(this)
*		파라메터	: 없슴.
*		리턴값
*     returnVal[0]  = 정비점코드
*     returnVal[1]  = 메뉴일련번호
*     returnVal[2]  = 메뉴명
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07-14 by khc
* 	Updated  : 
**********************************************************/
function pop_OpenMenuCd(objForm) {
	var strURL = "zpopup::ccwc0040.xml";
	var strArgs = "";
	
	return objForm.Dialog(strURL,strArgs, -1, -1);
}

/*********************************************************
*   설명			: 프린트용 팝업열기
*		함수명		: pop_OpenRdPrint(this)
*		파라메터	: title, rdfilename, param0-param9
*		리턴값		: 없슴.
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
**********************************************************/
function pop_OpenRdPrint(objForm, argTitle, argFileName, argParam, argForm, argPrinter, argScreen) {

	//var strURL = "zpopup::printpop.xml";
	var strURL = "zpopup::popprint6.xml";
	var strArgs = "";
	
	if( !gfn_IsNull(argTitle)) {
	  strArgs += " p_title=" + quote(argTitle) ;
	}
	
	if( !gfn_IsNull(argFileName)){
		strArgs += " p_filename=" + quote(argFileName) ;
	} else {
		alert("레포트 파일명을 입력해 주세요.");
		return;
	}
	
	if( !gfn_IsNull(argPrinter)) {
	  strArgs += " p_Printer=" + quote(argPrinter) ;
	  
	}
	
	if( !gfn_IsNull(argScreen)) {
	  strArgs += " p_Screen=" + quote(argScreen) ;
	  
	}
	  
	if( !gfn_IsNull(argForm)) {
		if(argForm == "세로") {
			strArgs += " p_width=640";
			strArgs += " p_height=655";
		} else if(argForm == "가로") {
			strArgs += " p_width=850";
			strArgs += " p_height=655";
		}else{
			strArgs += " p_width=640";
			strArgs += " p_height=655";
		}
	}else{
			strArgs += " p_width=640";
			strArgs += " p_height=655";
	}

  var x = GetDeviceInfo("CXScreen")/2; 
  var y = GetDeviceInfo("CYScreen")/2;
  var w = ToNumber(GetPlatformInfo("workarea","width"))/2;
  var h = ToNumber(GetPlatformInfo("workarea","height"))/2;
  var l = ToNumber(GetPlatformInfo("workarea","left"))/2;
  var t = ToNumber(GetPlatformInfo("workarea","top"))/2;
  //trace(x+"//"+y);
  //trace(w+"//"+h);
  //trace(l+"//"+t);
  //trace(x-w-l);
  //trace(y-h-t);
  //trace(x-w+"//"+y-h);
  //trace(GetPlatformInfo("workarea","left")+"/"+GetPlatformInfo("workarea","top"));

	if( !gfn_IsNull(argParam)) strArgs += " p_param=" + quote(argParam) ;

	return objForm.Dialog(strURL,strArgs, -1, -1,"title = true",l+140,t+90);
}

/*********************************************************
*   설명			: 프린트용 팝업열기
*		함수명		: pop_OpenRdPrint(this)
*		파라메터	: title, rdfilename, param0-param9
*		리턴값		: 없슴.
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-12 by 고석완
* 	Updated  : 
**********************************************************/
function pop_OpenRdPrint2(objForm, argTitle, argFileName, argParam, argForm, argPrinter, argScreen) {

	var strURL = "zpopup::printpop_type2.xml";
	var strArgs = "";
	
	if( !gfn_IsNull(argTitle)) {
	  strArgs += " p_title=" + quote(argTitle) ;
	}
	
	if( !gfn_IsNull(argFileName)){
		strArgs += " p_filename=" + quote(argFileName) ;
	} else {
		alert("레포트 파일명을 입력해 주세요.");
		return;
	}
	
	if( !gfn_IsNull(argPrinter)) {
	  strArgs += " p_Printer=" + quote(argPrinter) ;
	  
	}
	
	if( !gfn_IsNull(argScreen)) {
	  strArgs += " p_Screen=" + quote(argScreen) ;
	  
	}
	  
	if( !gfn_IsNull(argForm)) {
		if(argForm == "세로") {
			strArgs += " p_width=640";
			strArgs += " p_height=655";
		} else if(argForm == "가로") {
			strArgs += " p_width=850";
			strArgs += " p_height=655";
		}else{
			strArgs += " p_width=640";
			strArgs += " p_height=655";
		}
	}else{
			strArgs += " p_width=640";
			strArgs += " p_height=655";
	}

  var x = GetDeviceInfo("CXScreen")/2; 
  var y = GetDeviceInfo("CYScreen")/2;
  var w = ToNumber(GetPlatformInfo("workarea","width"))/2;
  var h = ToNumber(GetPlatformInfo("workarea","height"))/2;
  var l = ToNumber(GetPlatformInfo("workarea","left"))/2;
  var t = ToNumber(GetPlatformInfo("workarea","top"))/2;
  //trace(x+"//"+y);
  //trace(w+"//"+h);
  //trace(l+"//"+t);
  //trace(x-w-l);
  //trace(y-h-t);
  //trace(x-w+"//"+y-h);
  //trace(GetPlatformInfo("workarea","left")+"/"+GetPlatformInfo("workarea","top"));

	if( !gfn_IsNull(argParam)) strArgs += " p_param=" + quote(argParam) ;

	return objForm.Dialog(strURL,strArgs, -1, -1,"title = true",l+140,t+90);
}

/*********************************************************
*   설명			: 프린트용 팝업열기
*		함수명		: pop_OpenRdPrintTarget(this)
*		파라메터	: title, rdfilename, printer name, param0-param9
*		리턴값		: 없슴.
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
**********************************************************/
// function pop_OpenRdPrintTarget(objForm, argTitle, argFileName, argPrinterName, argParam, argForm) {
	// var strURL = "zpopup::printpop.xml";
	// var strArgs = "";
	
	// if( !gfn_IsNull(argTitle)) {
	  // strArgs += " p_title=" + quote(argTitle) ;
	// }

	// if( !gfn_IsNull(argPrinterName)) {
	  // strArgs += " p_printer=" + quote(argPrinterName) ;
	// }

	// if( !gfn_IsNull(argFileName)){
		// strArgs += " p_filename=" + quote(argFileName) ;
	// } else {
		// alert("레포트 파일명을 입력해 주세요.");
		// return;
	// }
	  
	// if( !gfn_IsNull(argForm)) {
		// if(argForm == "세로") {
			// strArgs += " p_width=640";
			// strArgs += " p_height=650";
		// } else if(argForm == "가로") {
			// strArgs += " p_width=870";
			// strArgs += " p_height=650";
		// }
	// }
		
	// if( !gfn_IsNull(argParam)) strArgs += " p_param=" + quote(argParam) ;

	// return objForm.Dialog(strURL,strArgs, -1, -1);
// }

/*********************************************************
*   설명			: 프린트용 팝업열기 - 파일 export
*		함수명		: pop_OpenRdFileSave(this)
*		파라메터	: title, rdfilename, param0-param9
*		리턴값		: 없슴.
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07 by 고석완
* 	Updated  : 
*  "경로 설정을 위한 p_filepath 양식   C:\\TEMP\\mail\\pdf\\
**********************************************************/
function pop_OpenRdFileSave(objForm, argTitle, argFileName, argParam, argSaveType, argSavePath, argSaveName, argForm) {
	var strURL = "";
	if (global.SHOP_CD == "IA034" || global.SHOP_CD == "002")
		strURL = "zpopup::printpop_save6.xml";
	else
		strURL = "zpopup::printpop_save.xml";
	var strArgs = "";
	
	if( !gfn_IsNull(argTitle)) {
	  strArgs += " p_title=" + quote(argTitle) ;
	}
	if( !gfn_IsNull(argSavePath)){
		strArgs += " p_filepath=" + quote(argSavePath) ;
	} else {
		alert("레포트 경로를 입력해 주세요.");
		return;
	}
	if( !gfn_IsNull(argFileName)){
		strArgs += " p_filename=" + quote(argFileName) ;
	} else {
		alert("레포트 파일명을 입력해 주세요.");
		return;
	}
	if( !gfn_IsNull(argSaveType)){
		strArgs += " p_save_type=" + quote(argSaveType) ;
	} else {
		alert("저장할 파일유형을 입력해 주세요.");
		return;
	}
	if( !gfn_IsNull(argSaveName)){
		strArgs += " p_save_name=" + quote(argSaveName) ;
	} else {
		alert("저장할 파일명을 입력해 주세요.");
		return;
	}

	if( !gfn_IsNull(argForm)) {
		if(argForm == "세로") {
			strArgs += " p_width=640";
			strArgs += " p_height=655";
		} else if(argForm == "가로") {
			strArgs += " p_width=850";
			strArgs += " p_height=655";
		}else{
			strArgs += " p_width=640";
			strArgs += " p_height=655";
		}
	}else{
			strArgs += " p_width=640";
			strArgs += " p_height=655";
	}
  
	if( !gfn_IsNull(argParam)) strArgs += " p_param=" + quote(argParam) ;
  
	return objForm.Dialog(strURL,strArgs, -1, -1);
}


/*********************************************************
*   설명			: 이미지(파일)업로드하기
*		파일서버	: http://10.227.54.150:9900/NetUpload/
*		함수명		: pop_OpenUploader(this)
*		파라메터	: shop_cd
*								emp_no
*								file_count
*								file_size
*								file_mask : image , 그외.
*		리턴값
*			Length(returnVal) : 파일갯수.
*			returnVal[i][0] : 파일경로.
*			returnVal[i][1] : 실제 저장된 파일이름
*			returnVal[i][2] : 파일이름(사용자가 올린 파일이름)
*			returnVal[i][3] : 파일크기(byte단위)
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-08-11 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenUploader(objForm, p_shop_cd, p_emp_no, p_file_count, p_file_size, p_file_mask) {
	var strURL = "zpopup::ccat0010.xml";
	var strArgs = "param1=" + p_shop_cd;
	strArgs    += " param2=" + p_emp_no;
	strArgs    += " param3=" + p_file_count;
	strArgs    += " param4=" + p_file_size;
	strArgs    += " param5=" + p_file_mask;
	
	return objForm.Dialog(strURL,strArgs, -1, -1, true, 300, 80);
}

/*********************************************************
*   설명			: 파일관리화면
*		파일서버	: http://10.227.54.150:9900/NetUpload/
*		함수명		: pop_OpenFileMng(this, "001", "system", "RP", "F20080800001")
*		파라메터	: p_shop_cd		: 정비점코드.
*								p_emp_no		: 사번
*               p_type			: 작업타입(공통코드 1044 참조)
*               p_grp_code	: attach_grp(처음입력시 빈값)
*								p_file_count: 제한 파일 갯수
*	              p_mode		  : 모드 "Down" 일 경우 다운로드만 나머지는 추가,다운,삭제
*		리턴값
*			returnVal[0] : attach_grp code
*			returnVal[1] : 파일수
*	    returnVal[2] : 업데이트 여부(true, false)
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-08-18 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenFileMng(objForm, p_shop_cd, p_emp_no, p_type, p_grp_code, p_file_count, p_mode) {
	var strURL = "zpopup::ccat0011.xml";
	var strArgs = "param1=" + p_shop_cd;
	strArgs    += " param2=" + p_emp_no;
	strArgs    += " param3=" + p_type;
	strArgs    += " param4=" + p_grp_code;
	strArgs    += " param5=" + p_file_count;
	strArgs    += " param6=" + p_mode;	
	
	return objForm.Dialog(strURL,strArgs, -1, -1,"title = false");
}

/*********************************************************
*   설명			: 파일다운로드
*		파일서버	: http://10.227.54.150:9900/NetUpload/
*		함수명		: pop_OpenFileMng(this, "RP", "F20080800001")
*		파라메터	: p_type			: 작업타입(공통코드 1044 참조)
*               p_grp_code	: attach_grp(처음입력시 빈값)
*		리턴값		: 없음.
* 	
*		Created  :  2008-09-01 by khc
* 	Updated  : 
**********************************************************/
function pop_OpenFileDown(objForm, p_type, p_grp_code) {
	var strURL = "zpopup::ccat0013.xml";
	var strArgs = "param1=" + p_type;
	strArgs    += " param2=" + p_grp_code;
	
	return objForm.Dialog(strURL,strArgs, -1, -1);
}

/*********************************************************
*   설명			: 관리/고객계정 찾기(최종버전)
*		함수명	: pop_OpenAccCdByJob(this, div)
*		파라메터	: p_div :
*									a1 : 고객/관리 모두조회.
*									c1 : 고객계정조회		N%
*									m1 : 관리계정조회.
*									s1 : 월합대상계정.	E%
*									p1 : 월합대상계정(부품)  P%
*                 sp : s1+p1
*		리턴값
*			returnVal[0] : 계정코드
*			returnVal[1] : 구분
*			returnVal[2] : 계정명
*			returnVal[3] : 우편번호
*			returnVal[4] : 주소
*			returnVal[5] : 전화번호
*			returnVal[6] : 휴대폰
*			returnVal[7] : owner
*			returnVal[8] : 사업자등록번호
*			returnVal[9] : 월합여부.
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-07-04 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenAccCdByJob(objForm, p_div) {
	var strURL = "zpopup::ccac0021.xml";
	if(p_div == "c1")
	  strURL = "zpopup::ccac0020.xml";
	else if(p_div = "a1")
	  strURL = "zpopup::ccac0020.xml";
	else if(p_div = "p1")
	  strURL = "zpopup::ccac0020.xml";
	else if(p_div = "s1")
	  strURL = "zpopup::ccac0020.xml";
	else if(p_div = "sp")
	  strURL = "zpopup::ccac0020.xml";
	  
	var strArgs = "param1=" + p_div;
	return objForm.Dialog(strURL, strArgs, -1, -1);
}

/*********************************************************
*   설명			: 부서별 접수번호 검색
*		함수명	: pop_OpenRcptNoSrc(this)
*		파라메터	: 없음
*		리턴값
*			returnVal[0] : 접수번호
*			returnVal[1] : 정비점코드
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-08-29 by khc
* 	Updated  : 
**********************************************************/
function pop_OpenRcptNoSrc(objForm) {
	var strURL = "zpopup::ccrr0020.xml";
	var strArgs = "";
	return objForm.Dialog(strURL, strArgs, -1, -1);
}

/*********************************************************
*   설명			: 거래처 검색
*		함수명	: pop_OpenPtnrSrc(this , src)
*		파라메터	:  ptnrNm     - 거래처명
                 ptnrCd     - 거래처코드
                 ptnrTp     - 거래처구분
                 chgPtnrTp  - 거래처구분 변경유무
*		리턴값
*			returnVal[0] : 거래처코드
*			returnVal[1] : 거래처 명
*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-09-04 by khc
* 	Updated  :  2008-09-24 by ksd 거래처 구분 추가
**********************************************************/
function pop_OpenPtnrSrc(objForm, ptnrNm, ptnrCd, ptnrTp, chgPtnrTp) {

	var strURL = "zpopup::ccpm0030.xml";

	var strArgs = " p_ptnr_nm="     + quote(ptnrNm);
	strArgs    += " p_ptnr_cd="     + quote(ptnrCd);
	strArgs    += " p_ptnr_tp="     + quote(ptnrTp);
	strArgs    += " p_chg_ptnr_tp=" + quote(chgPtnrTp);

	return objForm.Dialog(strURL, strArgs, -1, -1, "title = false");
}

/*********************************************************
*   설명			: 매입계정 찾기
*		함수명	: pop_OpenPurAccCd(this, src, div)
*		파라메터	: src (계정명)
					      div - "I" : ICT
											"P" : 용품ICT
											"S" : 나머지
											"A" : 전체
*		리턴값
*			returnVal[0] : 계정코드
*			returnVal[1] : 계정 명
*			returnVal[2] : 사업자 코드(div "A" 경우)else 없음...

*		참조			: 빈값은 0, null 로 return
* 	
*		Created  :  2008-09-24 by khc
* 	Updated  : 
**********************************************************/
function pop_OpenPurAccCd(objForm, src, div) {
	
	var strURL = "mm::mmac0051.xml";
	var strArgs = "param1=" + quote(src) + " param2=" + quote(div);
							 
	return objForm.Dialog(strURL, strArgs, -1, -1,"title = false");
}

/*********************************************************
*   설명			: 작업자 찾기
*		함수명		: pop_OpenLaborerInfo(this)
*		파라메터	: shop_cd // 안보내면 global.shop_cd를 자동으로 설정...
*		리턴값
*			returnVal[0] : 사원코드
*			returnVal[1] : 사원명
*			returnVal[2] : 소속정비점코드.
*			returnVal[3] : 소속정비점명.
*			returnVal[4] : 연락처
*			returnVal[5] : 이메일
*			returnVal[6] : 입사일
*			returnVal[7] : 부서코드
*			returnVal[8] : 부서명
*			returnVal[9] : 직급코드
*			returnVal[10] : 직급
*			returnVal[11] : 직무코드
*			returnVal[12] : 직무
*			returnVal[13] : 기술등급
*			returnVal[14] : 기술등급명
*			returnVal[15] : 작업조코드
*			returnVal[16] : 작업조
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07-08 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenLaborerInfo(objForm, argShopCd) {
	var strURL = "zpopup::ccsc0040.xml";
	var strArgs = "arg_shop_cd=";
	
	if(! gfn_IsNull(argShopCd))	strArgs += quote(argShopCd) ;
	
	return objForm.Dialog(strURL, strArgs,  600, 300, "AutoSize=true Title=false");
}

/*********************************************************
*   설명			: 비용코드찾기
*		함수명		: pop_OpenExpAccByType(this, argType)
*		파라메터	: argType : AR조정,CMS조정,GISERROR,GR/IR,H45,H45원가,ICT,KPQ1매출,
*								KPQ1원가,KPQ2매출,KPQ2원가,NewSM5,PDI매출,PDI원가,QG매출,QG원가,
*								SM7매출,SM7원가,WS원가,가수금,가수조정,감모손실,감사차이,교환재고,
*								기표에러,대손상각,대조송금,대체,대체기표,미수금,받을어음,법인세,
*								본지사,부품WS,부품매출,부품반품,부품사사,부품원가,부품재고,부품차이,
*								부품충당,부품할증,비용,서비매출,서비원가,선금,선수금,선수매출,수수료,
*								수익,예금대조,예수금,완성재고,외상매출,용품매출,용품반품,용품사사,
*								용품원가,용품재고,용품차이,용품폐기,은행,이업종,임시사용,잡비,잡손실,
*								재고조정,재공외주,재공재료,재공직납,적송품,전시재고,조건변경,중고도매,
*								중고소매,중고원가,중고재고,출납,할인,현금
*		리턴값
*			returnVal[0] : 비용코드
*			returnVal[1] : 비용코드명
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-07-08 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenExpAccByType(objForm, argType) {
	var strURL = "zpopup::ccac0030.xml";
	var strArgs = "p_short=";
	
	if(! gfn_IsNull(argType))	strArgs += quote(argType) ;
	
	return objForm.Dialog(strURL, strArgs,  600, 300, "AutoSize=true Title=false");
}


/*********************************************************
*   설명			: 부서찾기(코스트센터)
*		함수명		: pop_OpenExpAccByType(this, argType)
*		파라메터	: 
*		리턴값
*			returnVal[0] : 코스트센터코드
*			returnVal[1] : 코스트센터명
*		참조			:빈값은 0 or null로 return
* 	
*		Created  :  2008-10-23 by hjw
* 	Updated  : 
**********************************************************/
function pop_OpenDept(objForm) {
	var strURL = "zpopup::ccac0010.xml";
	var strArgs = "";
	
	return objForm.Dialog(strURL, strArgs,  600, 300, "AutoSize=true Title=false");
} 


/*********************************************************
*   설명			: 차대번호, 부품번호로 차폐일 및 부품업체정보찾기
*		함수명		: pop_OpenPartList6(this, vin , part_no)
*		리턴값
*			returnVal[0] : 부품코드
*			returnVal[1] : 부품명
*			returnVal[2] : 채용일
*			returnVal[3] : 페용일
*			returnVal[4] : 업체코드
*			returnVal[5] : 업체명
*		참조			:빈값은 0 or null로 return
* 	
**********************************************************/
function pop_OpenPartList6(objForm, vin, part) {

	var strURL  = "zpopup::ccpm0050.xml";
	var strArgs = " strVin="+quote(vin)+" strPartNo="+quote(part); 
	var returnVal = gfn_GetScreenLoc();
	return objForm.Dialog(strURL, strArgs, 600, 300,"",returnVal[4]+260, returnVal[5]+125);
}

/*********************************************************
*   설명			: 비밀번호 체크
*		함수명		: pop_OpenPartList6(this, vin , part_no)
*		리턴값
*			returnVal[0] : Y / N
*		참조			:빈값은 0 or null로 return
* 	
**********************************************************/
function pop_PwChk(objForm, p_id) {

	var strURL  = "zpopup::pwchkpop.xml";
	var strArgs = " p_id="+quote(p_id); 
	
	return objForm.Dialog(strURL, strArgs, 344, 128);
}


/*********************************************************
*   설명		: 쿠폰정보 팝업
*		함수명	: pop_ViewCouponInfo01(this, vin)
*		파라메터	: vin 		            : 차대번호
*		리턴값
*		참조			: 빈값은 0, null 로 return
*
*   Created  :  2018-08 by 조현민
**********************************************************/

function pop_ViewCouponInfo01(objForm, p_vin, p_roNo, p_shopCd, p_rcptNo, p_lpSize) {
	
	var strURL = "zpopup::ccba0070.xml";
	var strArgs = "";

	if(gfn_IsNull(p_vin))
	{
    alert("차량 정보가 필요합니다.");
    return null;
	}
	
	if(gfn_IsNull(p_roNo))
	{
    alert("쿠폰적용할 RO를 선택하세요");
    return null;
	}

  strArgs += " p_vin=" + quote(p_vin);
  strArgs += " p_roNo=" + quote(p_roNo);
  strArgs += " p_shopCd=" + quote(p_shopCd);
  strArgs += " p_rcptNo=" + quote(p_rcptNo);
  strArgs += " p_lpSize=" + p_lpSize;
  

  return objForm.Dialog(strURL, strArgs, -1, -1, "AutoSize=true Title=false");
}
