﻿﻿﻿﻿﻿﻿﻿﻿var CONST_ASC_MARK="▲";
var CONST_DESC_MARK="▼";

/*===============================================================
= 기능 : Grid에서 헤더를 클릭하면 해당 셀들이 소트된다
=        (ASC,DESC 토글)
= 인수 : GridObj  그리드 콤포넌트의 이름 (예 : gridInsert)
=        dsObj    데이터셋 콤포넌트의 이름 (예 : dsGrid01)
=        nCell    해당셀번호 (HeadClick 이벤트에서 받은 nCell을 
=                            그대로 지정)
=        nColCnt  그리드의 컬럼의 수(이 수만큼 토글처리를 한다.)
===============================================================*/

function gfn_GridSort(Gridobj,dsObj,nCell,nColCnt) 
{
	var nheadText,sflag;
    
    var nCol = Gridobj.GetCellProp("head", nCell, "col"); //Add. header 2줄일 때 정렬오류 수정. by 강경민 차장
    
	if (right(Gridobj.GetCellProp("head",nCell,"text"),1) == CONST_ASC_MARK)
	{
		dsObj.sort(Gridobj.GetCellProp("Body", nCol,"colid"), false);  //Add. header 2줄일 때 정렬오류 수정. by 강경민 차장
		//dsObj.sort(Gridobj.GetCellProp("Body", nCell,"colid"), false);
		nheadText = Gridobj.GetCellProp("head",nCell,"text");
		nheadText = replace(nheadText,CONST_ASC_MARK,"");
		nheadText = nheadText + CONST_DESC_MARK;
		sflag = CONST_DESC_MARK;
	}
	else
	{
		dsObj.sort(Gridobj.GetCellProp("Body", nCol,"colid"), true);  //Add. header 2줄일 때 정렬오류 수정. by 강경민 차장
		//dsObj.sort(Gridobj.GetCellProp("Body",nCell,"colid"),true);
		nheadText = Gridobj.GetCellProp("head",nCell,"text");
		nheadText = replace(nheadText,CONST_DESC_MARK,"");
		nheadText = nheadText + CONST_ASC_MARK;   
		sflag = CONST_ASC_MARK;
	}
	
	Gridobj.SetCellProp("head",nCell,"text",nheadText);
	
	var sRepText="";
	for(i=0; i<nColCnt; i++)
	{
		
		if (nCell <> i) 
		{
			sRepText = replace(Gridobj.GetCellProp("head",i,"text"), CONST_ASC_MARK,"");
			sRepText = replace(sRepText, CONST_DESC_MARK,"");
			Gridobj.SetCellProp("head",i,"text", sRepText);
			
		}
	}
  
	return sflag;
}