<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<!DOCTYPE html>
<head>
<style>
*{margin:0;padding:0;}
</style>

<link rel='stylesheet' type='text/css' href='css/cps_style.css' />
<link rel='stylesheet' type='text/css' href='css/cps_style_webpart.css' />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Insert title here</title>
</head>
<body>

<div class="f01">
	<span class="ft01"><span class="fb">Q.</span> 한 개 접수번호에 대해 PC 2대 이상에서 매출을 잡아 매출 취소가 되지 않습니다. 어떻게 해야 하나요?</span><br><br>
	
	<img src="img/main/03_1.png" width="700" align="center"  border="10"><br><br>
	
	<span class="fb">A.</span> NSDMS는 작업 효율을 위해 같은 계정 (ID) 으로 다중 접속이 가능합니다. 하지만, 같은 접수번호를 열어두고 매출을 잡으면 이중으로 매출이 잡히는 경우가 간혹 발생합니다. 
	이 같은 경우 정비점에서 처리할 수 있는 방법은 없으므로 NSDMS 콜센터로 유선 전화 및 E-mail로 정비점 명 or 코드, 차량번호, 접수번호 정보를 알려주셔서 처리 <br>받으시기 바랍니다. 
	<br><br>
</div>

<div class="f01">
 	<span class="ft01"><span class="fb">Q.</span> 필수정보의 멤버쉽, 캠페인의 정비 상품의 [적용] 버튼이 활성화 되지 않습니다. </span><br><br>

	<span class="fb">A.</span> 활성화 되지 않는 원인은 다음과 같습니다. 해당 캠페인이 다른 접수번호에 등록되어 있는 경우, 해당 정비 점 코드에 필수정보관련 셋팅이 되어 있지 않은 경우로 총 2가지 입니다. 각 원인 별로 아래와 같이 대처하시기 바랍니다. <br><br>

	1.	다른 접수번호에 등록되어 있는 경우<br><br>
	<img src="img/main/03_2.png" width="700" align="center"  border="10"><br><br>
	-	차량 조회 후 <b>[필수정보]</b> 버튼을 클릭해서 상품명 및 캠페인 명을 눌러보시면 메시지 박스가 나오는데, 접수번호가 입력되어 있으면 적용버튼이 활성화 되지 않습니다. 해당 접수 번호의 RO를 삭제하신 후 진행하시기 바랍니다. <br><br>
	-	다른 협력 점에서 접수해 놓고 RO를 삭제하지 않은 경우, 해당 협력 점에 연락하여 RO삭제를 요청하시기 바랍니다.<br><br>
	2.	정비점 코드에 필수 정보 관련 셋팅이 되어 있지 않은 경우와 기타 경우<br><br>
	
	<img src="img/main/03_3.png" width="700" align="center"  border="10"><br><br>
	
	-	우선 담당 FC에게 연락하여 처리 받으셔야 하며, 담당 FC처리 이후에도 <b>[적용]</b>버튼이 활성화 되지 않으면 NSDMS콜센터로 유선 전화 및 E-mail로 문의 주시기 바랍니다.<br><br>
</div>

<div class="f01">
  <span class="ft01"><span class="fb">Q.</span> 보험승인 처리시 <장시간 문제가 있을 시 System 담당자에게 문의 바랍니다>라는 메시지 박스가 나오는 경우 어떻게 해야 하나요?</span><br><br>
 
  <img src="img/main/03_4.png" width="700" align="center"  border="10"><br><br>

  <span class="fb">A.</span> 보험 승인 시 해당 메시지가 나오는 이유는 일반적으로 <b>22시~24시</b>에 진행되는 NSDMS의 서버 동기화 시간에 보험승인을 진행하여 <b>락(LOCK)</b>이 걸린 경우 입니다. NSDMS 콜센터로 유선 전화 및 E-mail로 <b>정비점 명 or 코드, 차량번호, 접수번호</b> 정보를 알려주셔서 처리 받으시기 바랍니다. <br><br>

</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 멤버쉽 1회차와 2회차의 공임시간 차이가 있는데, 이유는 무엇인가요?</span><br><br>
 <span class="fb">A.</span> 멤버쉽 1회차는 무상점검이 포함되어 있기 때문에, 공임시간에 따른 공임 비용이 책정되어 있지 않기 때문입니다. <br><br>
</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 주행거리 오 입력으로 수정 받았는데, 이전 정비이력 조회 시 반영되지 않았습니다. </span><br><br>
 
 <img src="img/main/03_5.png" width="700" align="center"  border="10"><br><br>

 <span class="fb">A.</span> 매출/출고가 완료되면 해당 정비이력은 별도로 저장되기 때문에, 반영이 되지 않습니다. 대신 신규 접수번호로 작업입력을 진행할 때는 수정된 주행거리가 반영됩니다. 오 입력된 접수번호의 수정된 주행거리를 반영하려면, 매출취소 및 RO삭제를 한후, 접수번호를 새로 만들어서 다시 처리해야 합니다. <br><br>

</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 이전 정비이력의 주행거리가 오 입력 되어 있어, 실 주행거리로 작업입력이 불가능합니다. Or 주행거리 오 입력 하였습니다. 어떻게 해야 하나요?</span><br><br>
 <span class="fb">A.</span> 두 문의 모두 동일한 문제입니다. 주행거리가 오 입력된 경우에는 <b>담당 FC</b>에게 문의 수정처리 받으시기 바랍니다. NSDMS콜센터 에서는 계기판 교체이력이 반영되지 않거나 시스템 문제로 인한 주행거리 수정이 되지 않는 경우를 제외하고는 주행거리 수정 요청 처리를 하지 않습니다.  <br><br>
</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 주행거리 계기판 (메타) 교환이력이 있는데, 반영되어 있지 않습니다.  </span><br><br>
 <span class="fb">A.</span> 공통코드 2046에 등록되어 있는 5511551700, 5511151000 두 품목을 제외한 모든 부품을 교체 시 계기판 교체 여부에서 “예”로 바뀌어야 하는데, 반영되지 않았기 때문입니다.
NSDMS 콜센터 유선전화 및 E-mail로 <b>차량번호, 차대번호, 접수번호</b>를 알려주셔서 처리 받으시기 바랍니다. 참고로, QM5, L38, L43, L47은 계기판이 교체되더라도 합산되지 않는 것이 정상입니다. 
<br><br>
</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 명의 변경 했는데, 작업 입력된 내용의 개인정보가 바뀌지 않습니다. 어떻게 된 것인가요? </span><br><br>
 <span class="fb">A.</span> 이전 명의자로 작업입력을 진행한 이후, 명의를 변경하면 변경된 정보가 반영되지 않습니다. 변경된 명의로 작업내용을 반영시키려면 이전 접수번호의 매출 및 RO를 모두 삭제하고, 새로 접수번호를 생성하여 진행해야 합니다. <br><br>

</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 부품 재고가 충분한데도 작업입력에서 입력한 부품이 미 할당으로 잡혀 있습니다.  </span><br><br>
 
 <img src="img/main/03_6.png" width="700" align="center"  border="10"><br><br>

 <span class="fb">A.</span> 부품재고가 있음에도 부품이 미 할당으로 표시되는 경우는 시스템 처리 지연으로 인해 발생하는데, 이는 부품관리에서 처리할 수 있습니다. <b>부품관리 > 부품판매</b> 에서 해당 접수번호 조회 후 미 할당으로 된 부품을 할당으로 변경하고 저장하면, 부품이 할당됩니다. <br><br>

 <img src="img/main/03_7.png" width="700" align="center"  border="10"><br><br> 
 위와 같이 진행해도 할당으로 잡히지 않으면, NSDMS 콜센터 유선전화 및 E-mail로 문의 주시기 바랍니다.<br><br> 
</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 매출 취소 시 선택한 RO와 매출 취소 RO가 다르다는 메시지 박스가 나오면서 취소가 되지 않습니다.  </span><br><br>
 
 <img src="img/main/03_8.png" width="700" align="center"  border="10"><br><br>

 <span class="fb">A.</span> DMS시스템 구조상 RO 여러 개를 한번에 선택하여 매출 처리 한 경우, 취소할 때도 동일하게 여러 개를 선택해서 취소해야 합니다. 
예를 들어 RO 001, RO 002를 동시에 매출처리 하였다면 취소도 RO 001과 RO 002<br> 두 개를 동시에 매출 취소 해야 합니다. RO 02한 개만 매출 취소 시 취소가 되지 않고 에러 메시지가 나옵니다.
 <br><br>

</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 매출까지 완료된 정비 이력의 수정과 완전 삭제를 하고 싶습니다. </span><br><br>
 <span class="fb">A.</span> 매출까지 완료된 정비이력의 수정과 완전 삭제는 NSDMS에서 불가능합니다.  <br><br>
 1.	매출 잡혔는데 정비내용 수정을 해야 할 경우<br>
-	작업입력을 잘못 한 접수번호를 매출까지 모두 처리됐다면, 매출 취소를 진행하고 등록된 RO를 삭제 후<br> &nbsp;&nbsp;다시 입력하여 작업 진행 및 매출 처리하기 바랍니다.<br><br>
2.	정비이력의 삭제<br>
-	삭제는 불가능하며, 매출을 취소하고 해당 작업 RO를 삭제하는 것으로 마무리 하시면 됩니다<br><br>
 
</div>

<div class="f01">
 <span class="ft01"><span class="fb">Q.</span> 부품판매 시 할인 적용을 하고자 하는데, 어떻게 해야 하나요?  </span><br><br>
 <span class="fb">A.</span> <b>작업관리 > 작업입력</b> 화면에서 입력한 부품을 더블 클릭하여 부품상세정보를 열어주세요. 상단에 있는 할인율에 숫자를 입력하고 확인을 누르면 할인이 적용됩니다. 
부품 판매시 할인 적용은 매출처리를 하기 전에 적용해야만 반영됩니다. 매출이 모두 종료된 이후 할인율을 적용해도 전산에 반영되지 않습니다. 
 <br><br>
 <img src="img/main/03_9.png" width="700" align="center"  border="10"><br><br> 
</div>

</body>
</html>